# GstVorbisTag

Contains various utility functions for plugins to parse or create vorbiscomments and map them to and from GstTagLists.

## Functions

### gst_tag_from_vorbis_tag

    const gchar *
    gst_tag_from_vorbis_tag (const gchar * vorbis_tag)

Looks up the GStreamer tag for a vorbiscomment tag.

Parameters:

`vorbis_tag` –

vorbiscomment tag to convert to GStreamer tag

Returns ( [nullable]) –

The corresponding GStreamer tag or NULL if none exists.

### GstTag.prototype.tag_from_vorbis_tag

    function GstTag.prototype.tag_from_vorbis_tag(vorbis_tag: String): {
        // javascript wrapper for 'gst_tag_from_vorbis_tag'
    }

Looks up the GStreamer tag for a vorbiscomment tag.

Parameters:

`vorbis_tag` (String) –

vorbiscomment tag to convert to GStreamer tag

Returns (String) –

The corresponding GStreamer tag or NULL if none exists.

### GstTag.tag_from_vorbis_tag

    def GstTag.tag_from_vorbis_tag (vorbis_tag):
        #python wrapper for 'gst_tag_from_vorbis_tag'

Looks up the GStreamer tag for a vorbiscomment tag.

Parameters:

`vorbis_tag` (str) –

vorbiscomment tag to convert to GStreamer tag

Returns (str) –

The corresponding GStreamer tag or NULL if none exists.

### gst_tag_list_from_vorbiscomment

    GstTagList *
    gst_tag_list_from_vorbiscomment (const guint8 * data,
                                     gsize size,
                                     const guint8 * id_data,
                                     const guint id_data_length,
                                     gchar ** vendor_string)

Creates a new tag list that contains the information parsed out of a vorbiscomment packet.

Parameters:

`data` ( [array length=size]) –

data to convert

`size` –

size of data

`id_data` ( [array length=id_data_length]) –

identification data at start of stream

`id_data_length` –

length of identification data

`vendor_string` ( [out][optional]) –

pointer to a string that should take the vendor string of this vorbis comment or NULL if you don't need it.

Returns ( [transfer: full][nullable]) –

A new GstTagList with all tags that could be extracted from the given vorbiscomment buffer or NULL on error.

### GstTag.prototype.tag_list_from_vorbiscomment

    function GstTag.prototype.tag_list_from_vorbiscomment(data: [ Number ], size: Number, id_data: [ Number ], id_data_length: Number): {
        // javascript wrapper for 'gst_tag_list_from_vorbiscomment'
    }

Creates a new tag list that contains the information parsed out of a vorbiscomment packet.

Parameters:

`data` ([ Number ]) –

data to convert

`size` (Number) –

size of data

`id_data` ([ Number ]) –

identification data at start of stream

`id_data_length` (Number) –

length of identification data

Returns a tuple made of:

(Gst.TagList ) –

A new Gst.TagList with all tags that could be extracted from the given vorbiscomment buffer or NULL on error.

`vendor_string` (String ) –

A new Gst.TagList with all tags that could be extracted from the given vorbiscomment buffer or NULL on error.

### GstTag.tag_list_from_vorbiscomment

    def GstTag.tag_list_from_vorbiscomment (data, size, id_data, id_data_length):
        #python wrapper for 'gst_tag_list_from_vorbiscomment'

Creates a new tag list that contains the information parsed out of a vorbiscomment packet.

Parameters:

`data` ([ int ]) –

data to convert

`size` (int) –

size of data

`id_data` ([ int ]) –

identification data at start of stream

`id_data_length` (int) –

length of identification data

Returns a tuple made of:

(Gst.TagList ) –

A new Gst.TagList with all tags that could be extracted from the given vorbiscomment buffer or NULL on error.

`vendor_string` (str ) –

A new Gst.TagList with all tags that could be extracted from the given vorbiscomment buffer or NULL on error.

### gst_tag_list_from_vorbiscomment_buffer

    GstTagList *
    gst_tag_list_from_vorbiscomment_buffer (GstBuffer * buffer,
                                            const guint8 * id_data,
                                            const guint id_data_length,
                                            gchar ** vendor_string)

Creates a new tag list that contains the information parsed out of a vorbiscomment packet.

Parameters:

`buffer` –

buffer to convert

`id_data` ( [array length=id_data_length]) –

identification data at start of stream

`id_data_length` –

length of identification data

`vendor_string` ( [out][optional]) –

pointer to a string that should take the vendor string of this vorbis comment or NULL if you don't need it.

Returns ( [transfer: full][nullable]) –

A new GstTagList with all tags that could be extracted from the given vorbiscomment buffer or NULL on error.

### GstTag.prototype.tag_list_from_vorbiscomment_buffer

    function GstTag.prototype.tag_list_from_vorbiscomment_buffer(buffer: Gst.Buffer, id_data: [ Number ], id_data_length: Number): {
        // javascript wrapper for 'gst_tag_list_from_vorbiscomment_buffer'
    }

Creates a new tag list that contains the information parsed out of a vorbiscomment packet.

Parameters:

`buffer` (Gst.Buffer) –

buffer to convert

`id_data` ([ Number ]) –

identification data at start of stream

`id_data_length` (Number) –

length of identification data

Returns a tuple made of:

(Gst.TagList ) –

A new Gst.TagList with all tags that could be extracted from the given vorbiscomment buffer or NULL on error.

`vendor_string` (String ) –

A new Gst.TagList with all tags that could be extracted from the given vorbiscomment buffer or NULL on error.

### GstTag.tag_list_from_vorbiscomment_buffer

    def GstTag.tag_list_from_vorbiscomment_buffer (buffer, id_data, id_data_length):
        #python wrapper for 'gst_tag_list_from_vorbiscomment_buffer'

Creates a new tag list that contains the information parsed out of a vorbiscomment packet.

Parameters:

`buffer` (Gst.Buffer) –

buffer to convert

`id_data` ([ int ]) –

identification data at start of stream

`id_data_length` (int) –

length of identification data

Returns a tuple made of:

(Gst.TagList ) –

A new Gst.TagList with all tags that could be extracted from the given vorbiscomment buffer or NULL on error.

`vendor_string` (str ) –

A new Gst.TagList with all tags that could be extracted from the given vorbiscomment buffer or NULL on error.

### gst_tag_list_to_vorbiscomment_buffer

    GstBuffer *
    gst_tag_list_to_vorbiscomment_buffer (const GstTagList * list,
                                          const guint8 * id_data,
                                          const guint id_data_length,
                                          const gchar * vendor_string)

Creates a new vorbiscomment buffer from a tag list.

Parameters:

`list` –

tag list to convert

`id_data` ( [array length=id_data_length]) –

identification data at start of stream

`id_data_length` –

length of identification data, may be 0 if id_data is NULL

`vendor_string` ( [nullable]) –

string that describes the vendor string or NULL

Returns ( [transfer: full]) –

A new GstBuffer containing a vorbiscomment buffer with all tags that could be converted from the given tag list.

### GstTag.prototype.tag_list_to_vorbiscomment_buffer

    function GstTag.prototype.tag_list_to_vorbiscomment_buffer(list: Gst.TagList, id_data: [ Number ], id_data_length: Number, vendor_string: String): {
        // javascript wrapper for 'gst_tag_list_to_vorbiscomment_buffer'
    }

Creates a new vorbiscomment buffer from a tag list.

Parameters:

`list` (Gst.TagList) –

tag list to convert

`id_data` ([ Number ]) –

identification data at start of stream

`id_data_length` (Number) –

length of identification data, may be 0 if id_data is NULL

`vendor_string` (String) –

string that describes the vendor string or NULL

Returns (Gst.Buffer) –

A new Gst.Buffer containing a vorbiscomment buffer with all tags that could be converted from the given tag list.

### GstTag.tag_list_to_vorbiscomment_buffer

    def GstTag.tag_list_to_vorbiscomment_buffer (list, id_data, id_data_length, vendor_string):
        #python wrapper for 'gst_tag_list_to_vorbiscomment_buffer'

Creates a new vorbiscomment buffer from a tag list.

Parameters:

`list` (Gst.TagList) –

tag list to convert

`id_data` ([ int ]) –

identification data at start of stream

`id_data_length` (int) –

length of identification data, may be 0 if id_data is NULL

`vendor_string` (str) –

string that describes the vendor string or NULL

Returns (Gst.Buffer) –

A new Gst.Buffer containing a vorbiscomment buffer with all tags that could be converted from the given tag list.

### gst_tag_to_vorbis_comments

    GList *
    gst_tag_to_vorbis_comments (const GstTagList * list,
                                const gchar * tag)

Creates a new tag list that contains the information parsed out of a vorbiscomment packet.

Parameters:

`list` –

a GstTagList

`tag` –

a GStreamer tag identifier, such as GST_TAG_ARTIST

Returns ( [element-type utf8][transfer: full]) –

A GList of newly-allocated key=value strings. Free with g_list_foreach (list, (GFunc) g_free, NULL) plus g_list_free (list)

### GstTag.prototype.tag_to_vorbis_comments

    function GstTag.prototype.tag_to_vorbis_comments(list: Gst.TagList, tag: String): {
        // javascript wrapper for 'gst_tag_to_vorbis_comments'
    }

Creates a new tag list that contains the information parsed out of a vorbiscomment packet.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList

`tag` (String) –

a GStreamer tag identifier, such as Gst.TAG_ARTIST

Returns ([ String ]) –

A GLib.List of newly-allocated key=value strings. Free with g_list_foreach (list, (GFunc) g_free, NULL) plus g_list_free (list)

### GstTag.tag_to_vorbis_comments

    def GstTag.tag_to_vorbis_comments (list, tag):
        #python wrapper for 'gst_tag_to_vorbis_comments'

Creates a new tag list that contains the information parsed out of a vorbiscomment packet.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList

`tag` (str) –

a GStreamer tag identifier, such as Gst.TAG_ARTIST

Returns ([ str ]) –

A GLib.List of newly-allocated key=value strings. Free with g_list_foreach (list, (GFunc) g_free, NULL) plus g_list_free (list)

### gst_tag_to_vorbis_tag

    const gchar *
    gst_tag_to_vorbis_tag (const gchar * gst_tag)

Looks up the vorbiscomment tag for a GStreamer tag.

Parameters:

`gst_tag` –

GStreamer tag to convert to vorbiscomment tag

Returns ( [nullable]) –

The corresponding vorbiscomment tag or NULL if none exists.

### GstTag.prototype.tag_to_vorbis_tag

    function GstTag.prototype.tag_to_vorbis_tag(gst_tag: String): {
        // javascript wrapper for 'gst_tag_to_vorbis_tag'
    }

Looks up the vorbiscomment tag for a GStreamer tag.

Parameters:

`gst_tag` (String) –

GStreamer tag to convert to vorbiscomment tag

Returns (String) –

The corresponding vorbiscomment tag or NULL if none exists.

### GstTag.tag_to_vorbis_tag

    def GstTag.tag_to_vorbis_tag (gst_tag):
        #python wrapper for 'gst_tag_to_vorbis_tag'

Looks up the vorbiscomment tag for a GStreamer tag.

Parameters:

`gst_tag` (str) –

GStreamer tag to convert to vorbiscomment tag

Returns (str) –

The corresponding vorbiscomment tag or NULL if none exists.

### gst_vorbis_tag_add

    gst_vorbis_tag_add (GstTagList * list,
                        const gchar * tag,
                        const gchar * value)

Convenience function using gst_tag_from_vorbis_tag, parsing a vorbis comment string into the right type and adding it to the given taglist list.

Unknown vorbiscomment tags will be added to the tag list in form of a GST_TAG_EXTENDED_COMMENT.

Parameters:

`list` –

a GstTagList

`tag` –

a vorbiscomment tag string (key in key=value), must be valid UTF-8

`value` –

a vorbiscomment value string (value in key=value), must be valid UTF-8

### GstTag.prototype.vorbis_tag_add

    function GstTag.prototype.vorbis_tag_add(list: Gst.TagList, tag: String, value: String): {
        // javascript wrapper for 'gst_vorbis_tag_add'
    }

Convenience function using GstTag.prototype.tag_from_vorbis_tag, parsing a vorbis comment string into the right type and adding it to the given taglist list.

Unknown vorbiscomment tags will be added to the tag list in form of a Gst.TAG_EXTENDED_COMMENT.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList

`tag` (String) –

a vorbiscomment tag string (key in key=value), must be valid UTF-8

`value` (String) –

a vorbiscomment value string (value in key=value), must be valid UTF-8

### GstTag.vorbis_tag_add

    def GstTag.vorbis_tag_add (list, tag, value):
        #python wrapper for 'gst_vorbis_tag_add'

Convenience function using GstTag.tag_from_vorbis_tag, parsing a vorbis comment string into the right type and adding it to the given taglist list.

Unknown vorbiscomment tags will be added to the tag list in form of a Gst.TAG_EXTENDED_COMMENT.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList

`tag` (str) –

a vorbiscomment tag string (key in key=value), must be valid UTF-8

`value` (str) –

a vorbiscomment value string (value in key=value), must be valid UTF-8

The results of the search are